<!DOCTYPE html>
<html lang="{{ grav.language.getLanguage ?: 'en' }}">
<head>
{% set theme_config = attribute(config.themes, config.system.pages.theme) %}

{% block head %}
    <meta charset="utf-8" />
    <title>{% if header.title %}{{ header.title|e('html') }} | {% endif %}{{ site.title|e('html') }}</title>
    {% include 'partials/metadata.html.twig' %}
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=no">
    <link rel="icon" type="image/png" href="{{ url('theme://images/favicon.png', true) }}" />
    <link rel="canonical" href="{{ page.url(true, true) }}" />

    {% block stylesheets %}
        {% do assets.addCss('theme://vendor/bootstrap/css/bootstrap.min.css', 103) %}
        {% do assets.addCss('theme://css/gravstraptheme.css',-100) %}
        {% do assets.addCss('theme://css/slideme.css',100) %}
        {% do assets.addCss('theme://css/font-awesome.min.css',100) %}
        {% do assets.addCss('theme://css/custom.css',-100) %}
    {% endblock %}
    {{ assets.css() }}

    {% block javascripts %}
        {% do assets.add('jquery',101) %}
        {% do assets.addJs('theme://vendor/bootstrap/js/bootstrap.min.js', 100) %}
        {% do assets.addJs('theme://js/jquery.slideme2.js') %}
    {% endblock %}
    {{ assets.js() }}
    <script>
        jQuery(document).ready(function () {
          jQuery('a').each(function() {
            const c = jQuery('link[rel="canonical"]').attr('href');
            const a = jQuery(this).attr('href');
            const h = `${window.location.protocol}//${window.location.host}`;
            const n = a
              .replace(`:/${window.location.host}`, `://${window.location.host}`) // pagination
              .replace(`${h}/tag:`, `${c}/tag:`)
              .replace(`${h}/archives_month:`, `${c}/archives_month:`)
              .replace(`${h}.atom`, `${c}.atom`)
              .replace(`${h}.rss`, `${c}.rss`)
              .replace(`${h}.atom`, `${h}/.atom`)
              .replace(`${h}.rss`, `${h}/.rss`);
            jQuery(this).attr('href', n);
          });
        });
    </script>
{% endblock head%}
</head>
<body class="{{ page.header.body_classes }}">
    {% block header %}
    <header id="header" class="header">
        {{ navbar1 }}
    </header>
    {% endblock %}

    {% block body %}
    <section id="body" class="{{ class }}">
        {% block content %}
        {% endblock %}
    </section>
    {% endblock %}

    {% block footer %}
    {{ footer }}
    {% endblock %}

    <script src="/user/plugins/simplesearch/js/simplesearch.js"></script>
    <script src="/user/themes/gravstrap-theme/js/mathjax.js"></script>
    <script src="/user/themes/gravstrap-theme/vendor/mathjax/MathJax.js?config=TeX-AMS-MML_HTMLorMML" defer ></script>
</body>
</html>
